<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetIconExtension Method (IEdmTemplate5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTemplate5 Interface : GetIconExtension Method (IEdmTemplate5)

Visual Basic
C#
C++/CLI
Gets the file extension for the icon registered with this template.

# Syntax

Visual Basic |
--- | ---

    Function GetIconExtension() As System.String

C# |
--- | ---

    System.string GetIconExtension()

C++/CLI |
--- | ---

    System.String^ GetIconExtension();

#### Return Value

File extension of the icon registered with this template

# Remarks

Templates are listed with a menu string and, optionally, an icon in SOLIDWORKS PDM Professional's menus and list controls. The file extension retrieved maps to the registered icon for the Windows file type of this template.

C++ programmers not using bstr_t wrapper functions must free the returned string with a call to SysFreeString.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTemplate5 Interface
IEdmTemplate5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2